/*
 * Copyright 1990 MCNC and Vivek Khera
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the name of MCNC not be used in advertising or
 * publicity pertaining to distribution of the software without specific,
 * written prior permission.  MCNC makes no representations about the
 * suitability of this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 *
 * MCNC DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL MCNC
 * BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION
 * OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * Author:  Vivek Khera, MCNC
 */

/*
 * structure definitions for KACL extension
 * V. Khera 25-JUL-1990 
 */

#include "Kacl.h"

#define KACLNAME "KACL"

typedef struct _ChangeUsers {
	CARD8 reqType;		/* always KACLReqCode */
	CARD8 aclReqType;	/* always X_KACLChangeUsers */
	CARD16 length B16;
	BOOL mode;		/* aclUserInsert or aclUserDelete */
	BYTE pad0;
	CARD16 pad1;
} xKACLChangeUsersReq;
#define sz_xKACLChangeUsersReq	8

typedef struct _GetUsers {
	CARD8 reqType;		/* always KACLReqCode */
	CARD8 aclReqType;	/* always X_KACLGetUsers */
	CARD16 length B16;
} xKACLGetUsersReq;
#define sz_xKACLGetUsersReq	4

typedef struct {
	BYTE type;	/* X_Reply */
	BOOL isEmpty;
	CARD16 sequenceNumber B16;
	CARD32 length B32;
	CARD32 pad0 B32;
	CARD32 pad1 B32;
	CARD32 pad2 B32;
	CARD32 pad3 B32;
	CARD32 pad4 B32;
	CARD32 pad5 B32;
} xKACLGetUsersReply;
#define sz_xKACLGetUsersReply	32
